/// <reference path="../functions.jsx" />
/// <reference path="../extends/LayerUtils.jsx" />

#include "../extends/LayerUtils.jsx"

function microContrast() {

        var undoAction = markHistoryPosition();

    try {

        Beautypanel.checkBitsPerChannel();
        Beautypanel.checkBackgroundLayer();
        Beautypanel.refreshLayers();

        if ($.layers.detailEnhance) {
            var _continue = confirm(strings.confirm_undo_micro_contrast);
            if (_continue) {
                $.layers.detailEnhance.remove();
                $.layers.detailEnhance = null;
            } else {
                return;
            }
        }

        if (!$.layers.detail || !$.layers.soft) {
            #include "../Frequency Separation.jsx"
        }

        $.layers.detail.visible = true;
        if ($.layers.soft) {
            $.layers.soft.visible = true;
        }
        if ($.layers.levels) {
            $.layers.levels.visible = false;
        }

        $.layers.detailEnhance = $.layers.detail.duplicate();
        $.layers.detailEnhance.name = strings.layername_detail_enhance;
        $.layers.detailEnhance.opacity = 50;
        $.LayerUtils.createRvlaMask($.layers.detailEnhance);

    } catch (err) {
        alert("Error at Effects/MicroContrast.jsx: " + err);
        undoAction();
    }

}

microContrast();