/// <reference path="../functions.jsx" />

var infoObject = {
    opacity: null,
    hardness: null,
    tool: app.currentTool,
    foregroundColor: app.foregroundColor.rgb.hexValue,
    backgroundColor: app.backgroundColor.rgb.hexValue
}

try {

    var ref = new ActionReference();
    ref.putEnumerated(Codes.application, Codes.ordinal, Codes.target);
    var _currentTool = executeActionGet(ref).getObjectValue(Codes.currentToolOptions);
    var _currentBrush = executeActionGet(ref).getObjectValue(Codes.currentToolOptions).getObjectValue(Codes.brush);

    infoObject.opacity = _currentTool.getDouble(Codes.opacity);
    infoObject.hardness = _currentBrush.getDouble(Codes.hardness);

} catch (err) {
}


JSON.stringify(infoObject);