/// <reference path="../functions.jsx" />
/// <reference path="../ConfigFile.jsx" />

#include "../ConfigFile.jsx"

function selectFolder() {

    var result = null;

    try {

        var settings = ConfigFile.open(BEAUTYPANEL.files.settings);
        var settingsKey = BEAUTYPANEL.config.save.key;

        var path = settings.getValue(settingsKey);
        var folder = new Folder(path);

        folder = folder.selectDlg();
        
        if (!folder) {
            return;
        }

        settings.setValue(settingsKey, folder.fullName);

    } catch (err) {

        result = "error:" + err;

    }

    return result;
}

selectFolder();