/// <reference path="strings.js" />
/// <reference path="ids.js" />

var selectors = {

    // Tools
    buttons_tool_select: "*[" + strings.attribute_tool + "]",

    // Tab panel
    tab_pointer: "*[" + strings.attribute_tab_pointer + "]",
    tab_container: ".tab-panel .tab-container",

    // Texts
    text_save_resolution: '*[data-content="resolution"]',
    text_save_format: '*[data-content="format"]',

    // Action Buttons
    button_unsharp_mask_dialog: "#" + ids.unsharp_mask_dialog,
    buttons_unsharp_mask_preset: ".unsharp-mask",
    buttons_set_hardness: "*[" + strings.attribute_hardness + "]",
    buttons_set_opacity: "*[" + strings.attribute_opacity + "]",
    button_masked_sharpening: "#" + ids.masked_sharpening,

    cell_edit_presets: "#edit-presets",

};
