var strings = {

    path_user_data: "Stoehr+Sauer/Photoshop/Beautypanel",
    url_stoehr_sauer: 'https://www.stoehr-sauer.de/index.php/multimedia/s-s-beauty-panel-fuer-photoshop',

    // File paths
    file_presets: "presets.json",
    icon_edit: 'images/ic_edit_white_48dp_1x.png',
    icon_delete: 'images/ic_delete_white_48dp_1x.png',

    // HTML classes
    class_open: "open",
    class_active: 'active',
    class_dialog: 'dialog',
    class_menuitem: 'menuitem',
    class_button: 'button',

    // HTML custom attributes
    attribute_tool: "data-tool",
    attribute_opacity: "data-opacity",
    attribute_hardness: "data-hardness",
    attribute_amount: 'data-amount',
    attribute_radius: 'data-radius',
    attribute_threshold: 'data-threshold',
    attribute_preset_index: "preset-index",
    attribute_preset_source: "preset-source",
    attribute_preset_category: "preset-category",
    attribute_preset_value_attribute_name: "preset-value-attribute-name",
    attribute_tab_pointer: "tab-pointer",
    attribute_tab_active: "tab-active",
    attribute_tab_container_name: "tab-container-name",
    attribute_open: 'open',
    attribute_tooltip: 'data-tooltip',
    attribute_draggable: "draggable",
    attribute_range_priority: "range-priority",
    attribute_range_priority_start: "range-priority-start",
    attribute_range_priority_end: "range-priority-end",
    attribute_is_dragging: "is-dragging",
    attribute_is_changing: "is-changing",

    // Events
    event_user_data_load: "userdataload",
    event_document_update: "documentupdate",

    // Action scripts
    script_frequency_separation: "Frequency Separation.jsx",
    script_save_as: "Save/SaveAs.jsx",
    script_save_copy: "Save/SaveCopy.jsx",
    script_unsharp_mask_dialog: "Unsharp Mask Dialog.jsx",
    script_prepare_user_data: "Prepare User Data Folder.jsx",
    script_reset_user_data: "ResetUserData.jsx",
    script_set_hardness: "Tools/Set Hardness.jsx",
    script_set_opacity: "Tools/Set Opacity.jsx",
    script_set_edit_preset: "Tools/Set Edit Preset.jsx",
    script_unsharp_mask_preset: "Sharpen/UnsharpMask.jsx",
    script_masked_sharpening: "Sharpen/MaskedSharpening.jsx",
    script_lab_sharpen: "Sharpen/LabSharpen.jsx",
    script_freq_sep_sharpen: "Sharpen/FrequencySeparationSharpen.jsx",
    script_selective_sharpen: "Sharpen/SelectiveSharpen.jsx",

    // Units
    unit_percent: '%',
    unit_pixel: 'px',
    unit_inch: 'in',

    // Texts
    text_edit: "Edit",
    text_delete: "Delete",
    text_ok: "OK",
    text_cancel: "Cancel",

    // UI Texts
    sharpen: "Sharpen",
    effects: "Effects",
    opacity: "Opacity",
    hardness: "Hardness",
    brushes: "Brushes",
    vignette: "Vignette",
    frequency_separation: "Freq. Sep.",
    ultimate_frequency_separation: "Freq. Sep. ++",
    freq_sep_sharpen: "FreqS",
    unsharp_mask: "Unsharp",
    selective_sharpening: "Selective",
    masked_sharpen: "Masked",
    lab_sharpening: "Lab",
    enhance_details: "Enhance Details",
    orton_effect: "Orton Effect",
    amount: "Amount",
    radius: "Radius",
    threshold: "Threshold",
    reset: "Reset",
    sharpen_title_mode: "Filterselection",
    sharpen_title_presets: "Presets",
    autumn_effect: "Autumn Effect",
    active_layer: "Active Layer",
    layers: "Layers",
    padding: "Padding",
    blur: "Blur",
    circle: "Circle",
    options: "Options",
    preview: "Preview",
    blendMode_normal: "Normal",
    blendMode_negativeMultiply: "Negative Multiply",
    blendMode_lighten: "Lighten",
    blendMode_linearDodge: "Linear Dodge",
    blendMode_brighterColor: "Brighter Color",
    blendMode_softLight: "Soft Light",
    save: "Save",
    save_as: "Save as",
    save_as_scaled: "Save copy as (scaled)",
    save_as_unscaled: "Save copy as (unscaled)",
    save_as_previous: "as previous",
    save_without_scale: "1:1",
    save_success: "Picture saved.",
    resolution: "Resolution",
    current_picture: "Current picture",
    picture_type: "Format",

    // Layer Names
    layername_soft: "Soft",
    layername_detail: "Detail",
    layername_detail_bw: "Detail BW",
    layername_detail_color: "Detail Color",
    layername_detail_enhance: "Detail Enhance",
    layername_levels: "Contrast",
    layername_bright: "Bright",
    layername_dark: "Dark",
    layername_dodgeAndBurnGray: "Dodge and Burn - Gray",
    layername_enhancedDetails: "Enhance Details",
    layername_orthon: "Orton Effect",
    layername_vignette: "Vignette",
    layername_selectiveSharpen: "Selective Sharp",
    layername_maskedSharpen: "Masked Sharp",
    layername_detail_bw: "Detail BW",
    layername_autumn: "Autumn",

    // Jsx requests
    request_convert_bits_per_channel: 'The picture is in 8 bit mode. This is not ideal for the BeautyPanel. Convert to 16 bit now?',
    request_undo_frequency_separation: 'Layer for frequency separation found. May i delete them and run the frequency separation?',
    request_undo_enhance_details: 'Found layer for "Enhance Details". May i delete it?',
    request_undo_dodge_and_burn_gradient: 'D&B Gradient layers found. May i delete them?',
    request_undo_dodge_and_burn_gray: "D&B Gray Layer found. May i delete it?",
    request_undo_vignette: "Vignette Layer found. May i delete it?",
    request_undo_autumn: "Autumn layer found. May i delete it?",
    confirm_unsharp_on_layer: "You try to do the command 'UnSharp Mask' on the $LAYER_NAME. That's useless. Should I really do it?",
    "request_reset_update": "Versions of configuration files are deprecated. They must be updated. That process will remove all presets. Update them now?",
    "request_no_background_layer": "Document has no background layer. May i set the first layer as background layer?",
    "message_no_background_layer_accepted": "Some functions require a background layer. It may cause errors if there is no one.",
    "message_overwrite_document": "The original document will be overwritten.\n Do you really want to continue?",
    "confirm_undo_micro_contrast": "Details intensity layer found. May i delete it?",

    // Errors
    "error_no_layer_in_document": "Error: Document has no layers.",

    // Tooltips

    "tooltip_tab_tools": "The most important tools for beauty retouching.",
    "tooltip_tab_sharpen": "Different sharpening methods with configurable presets.",
    "tooltip_tab_effects": "Different filters and masks for post production.",
    "tooltip_tab_save": "Presets for a faster save for files and batch conversion.",

    "tooltip_tools_freq_sep": "Separates a picture into a Details and Soft layer",
    "tooltip_tools_detail": "Switches to layer Detail. Activates layer Contrast and sets opacity and hardness for the stamp tool to 100%.",
    "tooltip_tools_soft": "Switches to layer Soft. Deactivates layer Contrast and sets Opacity to the value of the 2nd button and Hardness to 0%.",
    "tooltip_tools_dnb_gradient": "Creates 2 gradient adjustment layers for a nondestructive Dodge and Burn, to enhance contrast.",
    "tooltip_tools_dnb_gray": "Creates a 50% grey adjustment layer for a nondestructive Dodge and Burn, to enhance contrast. Stronger effect than gradient D&B.",
    "tooltip_tools_dnb_color_white": "Sets foreground colour to 50% grey defining the delete colour for D&B.",
    "tooltip_tools_dnb_color_gray": "Sets foreground colour to 50% grey defining the delete colour for D&B.",
    "tooltip_tools_dnb_color_black": "Sets foreground colour to Black, defining the delete mask colour for gradient D&B and dodging colour for D&B.",
    "tooltip_tools_opacity": "5 Presets for Opacity for brush and stamp. Adjustable with CMD/CTRL-left-click.",
    "tooltip_tools_hardness": "5 Presets for hardness for brush and stamp. Adjustable with CMD/CTRL-left-click.",

    "tooltip_reset_user_data": "Setzt alle Voreinstellungen auf die Standardwerte der Installation zur&uuml;ck",

    "tooltip_sharpen_unsharp_mask": "Original Unsharp mask from PS.",
    "tooltip_sharpen_freq_sep_sharp": "Sharpens only the luminance part of the Details layer for less colour sharpening artefacts.",
    "tooltip_sharpen_selective_sharp": "Original Selective sharpening from PS.",
    "tooltip_sharpen_masked_sharp": "Creates an adjustable sharpening mask for high contrast edges to prevent enhancing noise in low contrast areas.",
    "tooltip_sharpen_button_switch_to_details": "Selects, if checked, the Details layer for the selected sharpening method.",
    "tooltip_sharpen_presets": "6 Presets for pixel size and sharpening percentage for the selected filter. Adjustable with CMD/CTRL-left-key.",

    "tooltip_effects_enhance_details": "Creates a masked layer with adjustable strength of enhancing the contrast.",
    "tooltip_effects_orthon_effect": "Creates a blured masked layer of the picture for an selectable mode of the Orton effect.",
    "tooltip_effects_autumn_effect": "Creates a masked layer where the picture colours for green are shifted to red, to create an autumn effect.",
    "tooltip_effects_vignette": "Creates a layer with variable ellipctic or round Vignette.",

    "tooltip_save_normal": "",
    "tooltip_save_as_previous": "",

    // Messages
    msg_preset_missing_layer: "Missing Layer $LAYER_NAME"

};
